function md=transfervel(md,string)
%TRANSFERVEL transfer results for velocity from results to md.vx and md.vy fields.
%
%    Usage: md=transfervel(md,string)
%
%
%    Example: md=transfervel(md,'diagnostic');
%             md=transfervel(md,'control');

if strcmpi(string,'diagnostic'),
	md.vx=md.results.diagnostic.vx;
	md.vy=md.results.diagnostic.vy;
	md.vel=md.results.diagnostic.vel;
else 
	error(['transfervel error message: analysis ' string ' not supported yet!']);
end
